http://service.chime.aws.amazon.com/voice-connectors/{voiceConnectorId}/proxy-sessionsCreates a proxy session on the specified Amazon Chime Voice Connector for the specified participant phone numbers.
The Amazon Chime voice connector ID.
The name of the proxy session.
The proxy session capabilities.
The number of minutes allowed for the proxy session.
The preference for matching the country or area code of the proxy phone number with that of the first participant.
The country and area code for a proxy phone number in a proxy phone session.
The preference for proxy phone number reuse, or stickiness, between the same participants across sessions.
The participant phone numbers.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://service.chime.aws.amazon.com/voice-connectors/{voiceConnectorId}/proxy-sessions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://service.chime.aws.amazon.com/voice-connectors/{voiceConnectorId}/proxy-sessionsCreates a proxy session on the specified Amazon Chime Voice Connector for the specified participant phone numbers.
The Amazon Chime voice connector ID.
The name of the proxy session.
The proxy session capabilities.
The number of minutes allowed for the proxy session.
The preference for matching the country or area code of the proxy phone number with that of the first participant.
The country and area code for a proxy phone number in a proxy phone session.
The preference for proxy phone number reuse, or stickiness, between the same participants across sessions.
The participant phone numbers.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://service.chime.aws.amazon.com/voice-connectors/{voiceConnectorId}/proxy-sessions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}